Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.messaging
Class MailboxValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.messaging.MailboxValue

public class MailboxValue
extends SmartValue

A simple message collection with some specialized message handling methods. The Mailbox is managed by the `PostOffice`

See Also:
  `Mailbox`, `MailboxHome`, `Mailbox.getMailboxByValue()`, `Mailbox.setMailboxByValue(MailboxValue)`, Serialized Form

Field Summary
`com.sun.java.util.collections.LinkedList` | `messages` message (List) [Mailbox] <*>------> [`theory.smart.axiom.messaging.Message`] 0..*
`int` | `nextId` nextId [Mailbox] <*>------> [`int`]
`java.lang.String` | `ownerId` ownerId [Mailbox] <*>------> [`String`] (Primary Key)

Constructor Summary
`protected` | `MailboxValue()` Only get/setMailboxByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ownerId

    public java.lang.String ownerId

                        ownerId
       [Mailbox] <*>------> [String] (Primary Key)

### nextId

    public int nextId

                        nextId
       [Mailbox] <*>------> [int]

### messages

    public com.sun.java.util.collections.LinkedList messages

                        message (List)
       [Mailbox] <*>------> [theory.smart.axiom.messaging.Message]
                           0..*

Constructor Detail

### MailboxValue

    protected MailboxValue()

  Only get/setMailboxByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.